import { Client } from "./client.js";
import { Profile } from "./profile.js";

class MyProfile extends Profile
{

	/**
	 * @param {Client} client 
	 */
	constructor (client)
	{
		super(client, "me")
	}

	/**
	 * 
	 * @param {*} form_data 
	 * @returns {Promise<Object>}
	 */
	async change_avatar(form_data)
	{
		let response = await this.client._patch_file(`/api/profiles/me`, form_data);
		let response_data = await response.json()

		return response_data;
	}

}

export {MyProfile}